<b-row @change="emitFormState">
    <b-col class="b-shop-input-col bg-light text-center shadow">
        <h4 class="mt-4 mb-4">Negozio</h4>
        <b-container>
            <b-row cols="1" cols-sm="1" cols-md="2" cols-lg="2" cols-xl="2" class="mb-2">
                <b-col>
                    <b-form-input v-model.trim="value.name" autocomplete="off" type="text"
                                  :state="this.$v.value.name.$model === null ? null : !this.$v.value.name.$invalid"
                                  placeholder="Nome" class="shop-input mb-1"/>
                </b-col>
                <b-col>
                    <b-form-input v-model.trim="value.city" :disabled="true" autocomplete="off" type="text"
                                  :state="this.$v.value.city.$model === null ? null : !this.$v.value.city.$invalid"
                                  placeholder="Città" class="shop-input mb-1"/>
                </b-col>
            </b-row>
            <b-row cols="1" cols-sm="1" cols-md="2" cols-lg="2" cols-xl="2" class="mb-2">
                <b-col>
                    <b-form-input
                            v-model.trim="value.address"
                            autocomplete="off"
                            type="text"
                            :state="this.$v.value.address.$model === null ? null : !this.$v.value.address.$invalid"
                            placeholder="Indirizzo" class="shop-input mb-1"/>
                </b-col>
                <b-col>
                    <b-form-select
                            v-model="value.categoryId"
                            :state="this.$v.value.categoryId.$model === null ? null : !this.$v.value.categoryId.$invalid">
                        <template v-slot:first>
                            <b-form-select-option :value="null" disabled>
                                Seleziona una categoria
                            </b-form-select-option>
                        </template>
                        <b-form-select-option
                                v-for="category in categories" v-bind:key="category.id"
                                :value="category.id"
                        >
                            {{ category.name }}
                        </b-form-select-option>
                    </b-form-select>
                </b-col>
            </b-row>
            <b-row>
                <b-col>
                    <b-form-textarea
                            v-model.trim="value.description"
                            autocomplete="off"
                            type="text"
                            :state="this.$v.value.description.$model === null ? null : !this.$v.value.description.$invalid"
                            placeholder="Prodotti in vendita (es. Salumi, formaggi, pane, specialità particolari del negozio...)."
                            class="shop-input"/>
                </b-col>
            </b-row>
            <hr style="margin-top: 4vh; margin-bottom: 4vh">
            <h4 class="mb-3">Consegna</h4>
            <b-row cols="1" cols-sm="1" cols-md="2" cols-lg="2" cols-xl="2" class="mb-2">
                <b-col>
                    <b-form-textarea
                            v-model="value.deliveryDetails"
                            autocomplete="off"
                            type="text"
                            :state="this.$v.value.deliveryDetails.$model === null ? null : !this.$v.value.deliveryDetails.$invalid"
                            placeholder="Dettagli: (es. in meno di 24h)."
                            class="shop-input mb-1"/>
                </b-col>
                <b-col>
                    <b-form-textarea
                            v-model="value.deliveryConditions"
                            autocomplete="off"
                            type="text"
                            :state="this.$v.value.deliveryConditions.$model === null ? null : !this.$v.value.deliveryConditions.$invalid"
                            placeholder="Condizioni: (es. ordine minimo di 19€)."
                            class="shop-input mb-1"/>
                </b-col>
            </b-row>
            <b-row>
                <b-col>
                    <b-form-group>
                        <p class="mt-2"><b>Tipi di pagamento accettati:</b></p>
                        <b-form-checkbox-group
                                id="checkbox-group-1"
                                v-model="value.paymentTypesId"
                                :state="!this.$v.value.paymentTypesId.$invalid"
                        >
                            <b-container class="text-left">
                                <b-row cols="1" cols-sm="2" cols-md="3" cols-lg="4" cols-xl="3">
                                    <b-col v-for="paymentType in paymentTypes" v-bind:key="paymentType.id">
                                        <b-form-checkbox
                                                :value="paymentType.id">
                                            {{ paymentType.name }}
                                        </b-form-checkbox>
                                    </b-col>
                                </b-row>
                            </b-container>
                        </b-form-checkbox-group>
                    </b-form-group>
                </b-col>
            </b-row>
            <hr style="margin-top: 4vh; margin-bottom: 4vh">
            <h4 class="mb-3">Contatti</h4>
            <contact-form v-model="value.contacts"
                          :contact-types="contactTypes"
                          @changeInput="contactsInputChanged"
            />

            <div class="col-12 w-100 my-4 ">


                Indirizzo al sito web:

                <b-form-input
                        v-model.trim="value.websiteLink"
                        autocomplete="off"
                        type="text"
                        placeholder="Ad esempio https://www.ilmionegozio.it/" class="shop-input mb-1"
                />
            </div>

            <div class="col-12 w-100 px-0 my-4">
                <b-form-textarea
                        v-model="value.contactNote"
                        rows="5"
                        placeholder="Informazioni di contatto: (es. dalle 8:00 alle 12:00)."/>
            </div>
        </b-container>
    </b-col>
</b-row>
